function ladder_assign=identify_ladders(sensitivity, F4,guideruler)


[ladders,max_lad]=identify_func(F4, sensitivity);
[ladders, i_lad]=sort(ladders,'descend');
max_lad=max_lad(i_lad);
ladder_assign=assign_ladder(ladders,max_lad,guideruler);


plot(F4)
hold on
plot(ladders,max_lad,'rx')
for j=1:max(size(ladder_assign))
    text(ladder_assign(j,2),ladder_assign(j,3),...
        num2str(ladder_assign(j,1)));
end
hold off



function [ladder,max_lad]=identify_func(F,sensitivity)
[tmp,mins]=peakdet(F,mean(F)*sensitivity);
ladder=tmp(:,1);
max_lad=tmp(:,2);

function ladder_assign=assign_ladder(ladders,max_lad,guideruler)
number=min([max(size(ladders)) max(size(guideruler))]);
for i=1:number
    ladder_assign(i,1)=guideruler(i);
    ladder_assign(i,2)=ladders(i);
    ladder_assign(i,3)=max_lad(i);
end



