function [F1,F2,F3,F4]=read_CEQ_txt(filename)

if nargin<1 || isempty(filename)
    [file,path]=uigetfile('*.txt','Choose txt file');
    filename=fullfile(path,file);
end

fid=fopen(filename,'r');
tline=1;
Sep_start=0;
IND_start=0;
i=0;
j=0;
while tline ~= -1
    tline=fgets(fid);
    if isempty(strfind(tline,'Separation'))==0
        Sep_start=1;
    end
    
    if isempty(strfind(tline,'INDEX'))==0 & Sep_start==1;
        IND_start=1;
    end
    
    if Sep_start==1 & IND_start==1
        i=i+1;
    end
    
    if i>1 & tline ~= -1
        j=j+1;
        [IND(j), LET(j),F1(j),F2(j),F3(j),F4(j),a,b,c,d,e,f,g,h]=...
            strread(tline,'%d%c%d%d%d%d%f%f%f%f%f%f%f%d');
    end
    
end
fclose(fid);


