function test_fig
filter_num=2;
%[file,path]=uigetfile('*.txt','Select file to read in')
% wb=waitbar(.5,'Read in file');
%         [F1,F2,F3,F4]=read_CEQ_txt(fullfile(path,file));
%         close(wb)
%         
screen_size=get(0,'ScreenSize');
figh=figure('IntegerHandle','off','Name',['Pick Data for Filter ',int2str(filter_num)],'NumberTitle','off','Resize','off','MenuBar','none','toolbar','none','Position',[300,screen_size(4)/2-250, 850, 600]);
figsize=get(figh,'Position');
pad=30;
axisW=(figsize(3)-5*pad)/2;
axisH=(figsize(4)-9*pad)/2;
axis1 = axes('Parent',figh,'Position',[2*pad/figsize(3) (8*pad+axisH)/figsize(4) axisW/figsize(3) axisH/figsize(4)],'box','on');
axis2 = axes('Parent',figh,'Position',[(4*pad+axisW)/figsize(3) (8*pad+axisH)/figsize(4) axisW/figsize(3) axisH/figsize(4)],'box','on');
axis3 = axes('Parent',figh,'Position',[2*pad/figsize(3) (5*pad)/figsize(4) axisW/figsize(3) axisH/figsize(4)],'box','on');
axis4 = axes('Parent',figh,'Position',[(4*pad+axisW)/figsize(3) (5*pad)/figsize(4) axisW/figsize(3) axisH/figsize(4)],'box','on');

xlabel(axis1,'Nucleotides')
ylabel(axis1','Intensity')
xlabel(axis2,'Nucleotides')
ylabel(axis2','Intensity')
xlabel(axis3,'Nucleotides')
ylabel(axis3','Intensity')
xlabel(axis4,'Nucleotides')
ylabel(axis4','Intensity')

Assign1_bttn=uicontrol(figh,'Style','pushbutton','FontSize',14,'String','Assign plot','Position',[2*pad       6*pad+axisH axisW pad],'Callback',@assign_data);
Assign2_bttn=uicontrol(figh,'Style','pushbutton','FontSize',14,'String','Assign plot','Position',[4*pad+axisW 6*pad+axisH axisW pad],'Callback',@assign_data);
Assign3_bttn=uicontrol(figh,'Style','pushbutton','FontSize',14,'String','Assign plot','Position',[2*pad       3*pad       axisW pad],'Callback',@assign_data);
Assign4_bttn=uicontrol(figh,'Style','pushbutton','FontSize',14,'String','Assign plot','Position',[4*pad+axisW 3*pad       axisW pad],'Callback',@assign_data);

newfile_bttn=uicontrol(figh,'Style','pushbutton','FontSize',14,'String','Pick new file','Position',[2*pad         1*pad       axisW pad],'Callback',@newfile_data);
zero_bttn=uicontrol(figh,'Style','pushbutton','FontSize',14,'String','Assign Zeros','Position',[4*pad+axisW 1*pad       axisW pad],'Callback',@cancel_data);
%uiwait


end

